---
title: "Create Global Auto Ack Rules"
slug: "create-global-auto-ack-rules"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:34:39Z
published: 2026-09-23T09:34:39Z
canonical: "docs.trellix.com/create-global-auto-ack-rules"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create Global Auto Ack Rules
This URLis used to create auto ack rules.
## Resource URL
POST /globalautoack/rules
## Request Parameters
URL Parameters:
N/A
Payload Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| attackId | Attack id | String | Yes |
| targetEndpoint | Target endpoint | String | Yes |
| attackerEndpoint | Attacker endpoint | String | Yes |
| expiration | Expiration | String | Yes |
| comment | Comment | String | Yes |
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Set to 1 if the operation was successful, -1 otherwise | Number |
## Example
**Request**
POST [https:///sdkapi/globalautoack/rules](https://%3CNSM_IP%3E/sdkapi/globalautoack)
Payload
```
{
"attackId":"0x45d29400",
"targetEndpoint":"1.12.4.4",
"attackerEndpoint":"1.1.1.1",
"expiration":"2016-01-08 00:00:00.0",
"comment":"adssfsd"
}
```
**Response**
```
{
"status": 1
}
```
## Error Information
N/A